---
layout: docs
page_title: credentials delete - Command
description: >-
  The "credentials delete" command deletes an existing credential resource.
---

# credentials delete

Command: `boundary credentials delete`

The `credentials delete` command lets you delete a credential given its ID.

## Examples

The following example deletes a credential with the ID `credup_6zHHwQWvUS`:

```shell-session
$ boundary credentials delete -id credup_6zHHwQWvUS
The delete operation completed successfully.
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary credentials delete [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id` `(string: "")` - The ID of the credential to delete.

@include 'cmd-option-note.mdx'
